View Issue Details

IDProjectCategoryView StatusLast Update
0015589ScribusInternalpublic2019-06-04 20:55
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015589: Remove old PrefsPanel API
Descriptionhttps://github.com/scribusproject/scribus/blob/master/scribus/scplugin.h#L174

defines two functions

virtual bool newPrefsPanelWidget(QWidget* parent, PrefsPanel*& panel,
                                         QString& caption, QPixmap& icon);
virtual bool newPrefsPanelWidget(QWidget* parent, Prefs_Pane*& panel,
QString& caption, QPixmap& icon);

what's the difference?

scritpercore.cpp implements both, but it does not make much sense to me...
TagsNo tags attached.
PatchNo

Activities

jghali

2019-03-10 12:05

administrator   ~0045980

Last edited: 2019-03-10 12:24

View 2 revisions

The PrefsPanel class is the old base class for preferences panels in 1.4.x. We have moved to Prefs_Pane now. So code using PrefsPanel can basically be removed now. Yes I know, I do not say that often ;)

Issue History

Date Modified Username Field Change
2019-03-07 07:54 ale New Issue
2019-03-07 07:54 ale Summary document the difference between => document the difference between PrefsPanel and Prefs_Pane
2019-03-10 12:05 jghali Note Added: 0045980
2019-03-10 12:24 jghali Note Edited: 0045980 View Revisions
2019-03-10 12:40 jghali Summary document the difference between PrefsPanel and Prefs_Pane => Remove old PrefsPanel API
2019-03-10 12:45 jghali Assigned To => jghali
2019-03-10 12:45 jghali Status new => resolved
2019-03-10 12:45 jghali Resolution open => fixed
2019-03-10 12:45 jghali Fixed in Version => 1.5.5.svn
2019-03-10 12:45 jghali Category - => Internal
2019-06-04 20:55 cbradney Status resolved => closed